Änderung:        538:a856af6c506a
Zweig:           trunks
Nutzer:          benibela
Datum:           Mon Mar 07 14:15:37 2011 +0100
Zusammenfassung: sirds: no double confetti

 programs/games/SIRD/SIRDSAppletManager.java |  2 +-
 1 Dateien verändert, 1 Zeilen hinzugefügt(+), 1 Zeilen entfernt(-)

Änderung:        536:f5a426a5111e
Zweig:           trunks
Nutzer:          benibela
Datum:           Mon Mar 07 13:42:21 2011 +0100
Zusammenfassung: sirds: removed z acceleration

 programs/games/SIRD/SIRDSFlighter.java         |  1 +
 programs/games/SIRD/output/flighter/level3.lev |  2 +-
 2 Dateien verändert, 2 Zeilen hinzugefügt(+), 1 Zeilen entfernt(-)

Änderung:        535:d91511d8310c
Zweig:           trunks
Nutzer:          benibela
Datum:           Mon Mar 07 13:29:54 2011 +0100
Zusammenfassung: sirdsflighter: small changes

 programs/games/SIRD/SIRDSFlighter.java |  15 +++++++++++----
 1 Dateien verändert, 11 Zeilen hinzugefügt(+), 4 Zeilen entfernt(-)

Änderung:        534:7d2af1112c75
Zweig:           trunks
Nutzer:          benibela
Datum:           Mon Mar 07 13:29:31 2011 +0100
Zusammenfassung: sirdslets: rainbow color mode

 programs/games/SIRD/RendererSoftware.java   |   3 ++-
 programs/games/SIRD/SIRDSAppletManager.java |   2 +-
 programs/games/SIRD/ZDraw.java              |  18 ++++++++++++++++++
 3 Dateien verändert, 21 Zeilen hinzugefügt(+), 2 Zeilen entfernt(-)

Änderung:        418:2e888708e354
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Dec 26 15:36:03 2010 +0100
Zusammenfassung: SIRDS images

 programs/games/SIRD/IntArrayImage.java        |    3 +++
 programs/games/SIRD/RendererSoftware.java     |    2 +-
 programs/games/SIRD/SIRDSAppletManager.java   |   55 +++++++++++++++++++++++++++++++++++++++++++++++++------
 programs/games/SIRD/Translations.java         |    1 +
 programs/games/SIRD/Translations_DE.java      |    3 ++-
 programs/games/SIRD/ZDraw.java                |   13 +++++++------
 programs/games/SIRD/output/rainbow.png        |    0 
 programs/games/SIRD/output/rainbow_mosaic.png |    0 
 8 Dateien verändert, 63 Zeilen hinzugefügt(+), 14 Zeilen entfernt(-)

Änderung:        395:138e9a09bb69
Zweig:           trunks
Nutzer:          benibela
Datum:           Fri Oct 22 13:38:18 2010 +0200
Zusammenfassung: SIRD game: load resources from class path instead of code base path (so it can load from jars)

 programs/games/SIRD/SIRDSAppletManager.java |   2 +-
 programs/games/SIRD/SceneManager.java       |  27 ++++++++++++++++-----------
 2 Dateien verändert, 17 Zeilen hinzugefügt(+), 12 Zeilen entfernt(-)

Änderung:        386:a11faa4cb0e6
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Sep 26 16:17:48 2010 +0200
Zusammenfassung: acceleration/scrolling changed

 programs/games/SIRD/SIRDSFlighter.java         |  20 +++++++++++++-------
 programs/games/SIRD/output/flighter/level7.lev |   2 +-
 programs/games/SIRD/output/flighter/level8.lev |   2 +-
 programs/games/SIRD/output/flighter/level9.lev |   2 +-
 4 Dateien verändert, 16 Zeilen hinzugefügt(+), 10 Zeilen entfernt(-)

Änderung:        385:0df0848e3949
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Sep 26 15:38:25 2010 +0200
Zusammenfassung: fix super acceleration level(6)

 programs/games/SIRD/output/flighter/level6.lev |  2 +-
 1 Dateien verändert, 1 Zeilen hinzugefügt(+), 1 Zeilen entfernt(-)

Änderung:        384:5a00363501d0
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Sep 26 15:22:29 2010 +0200
Zusammenfassung: SIRDS: fix rendering bug (x/y exchanged)

 programs/games/SIRD/ZSprite.java |  4 ++--
 1 Dateien verändert, 2 Zeilen hinzugefügt(+), 2 Zeilen entfernt(-)

Änderung:        383:924ba24ace71
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Sep 26 15:06:19 2010 +0200
Zusammenfassung: SIRDS: frame rate can be changed

 programs/games/SIRD/SIRDSAppletManager.java |  35 ++++++++++++++++++++++++++++-------
 programs/games/SIRD/Translations.java       |   1 +
 programs/games/SIRD/Translations_DE.java    |   1 +
 3 Dateien verändert, 30 Zeilen hinzugefügt(+), 7 Zeilen entfernt(-)

Änderung:        382:630acd752f46
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Sep 26 14:41:11 2010 +0200
Zusammenfassung: SIRDS: audio thread, limit collision sound on 10/s

 programs/games/SIRD/SIRDSAppletManager.java |  34 +++++++++++++++++++++++++++++++---
 programs/games/SIRD/SIRDSFlighter.java      |   7 +++++--
 2 Dateien verändert, 36 Zeilen hinzugefügt(+), 5 Zeilen entfernt(-)

Änderung:        381:7d5cc1638c8d
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Sep 26 14:12:23 2010 +0200
Zusammenfassung: SIRDS: faster sprite drawing

 programs/games/SIRD/Cuboid.java  |  18 ++++++++++++++----
 programs/games/SIRD/ZSprite.java |  25 +++++++++++++++++--------
 2 Dateien verändert, 31 Zeilen hinzugefügt(+), 12 Zeilen entfernt(-)

Änderung:        380:7a3747879090
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Sep 26 13:34:24 2010 +0200
Zusammenfassung: sirds: level changed?

 programs/games/SIRD/output/flighter/level8.lev |  2 +-
 programs/games/SIRD/output/flighter/level9.lev |  2 +-
 2 Dateien verändert, 2 Zeilen hinzugefügt(+), 2 Zeilen entfernt(-)

Änderung:        371:25089bd3152c
Zweig:           trunks
Nutzer:          benibela
Datum:           Tue Sep 21 16:29:43 2010 +0200
Zusammenfassung: SIRDS: more accurate timing, using floats, average between

 programs/games/SIRD/AccurateTiming.java        |   76 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/IntArrayImage.java         |    1 +
 programs/games/SIRD/PrimitiveMarker.java       |    2 +-
 programs/games/SIRD/PrimitiveModifier.java     |    2 +-
 programs/games/SIRD/PrimitiveMover.java        |    2 +-
 programs/games/SIRD/PrimitiveScaler.java       |    2 +-
 programs/games/SIRD/SIRDSAppletManager.java    |   48 ++++++++++++++++----------------
 programs/games/SIRD/SIRDSFlighter.java         |  184 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------
 programs/games/SIRD/SIRDSFlighterEditor.java   |    6 ++--
 programs/games/SIRD/SceneManager.java          |    6 ++--
 programs/games/SIRD/ZSprite.java               |    5 +++
 programs/games/SIRD/ZSpriteRepeater.java       |  141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/output/flighter/level1.lev |    2 +-
 programs/games/SIRD/output/flighter/level4.lev |    2 +-
 programs/games/SIRD/output/flighter/level5.lev |    2 +-
 programs/games/SIRD/output/flighter/level7.lev |    2 +-
 programs/games/SIRD/output/flighter/level8.lev |    2 +-
 17 Dateien verändert, 359 Zeilen hinzugefügt(+), 126 Zeilen entfernt(-)

Änderung:        359:34eace7bf995
Zweig:           trunks
Nutzer:          benibela
Datum:           Fri Sep 03 20:48:33 2010 +0200
Zusammenfassung: sirds: primitive animator: doesn't use spritee size, but last animator size (fix array boundary "crash")

 programs/games/SIRD/PrimitiveAnimator.java |  5 ++++-
 1 Dateien verändert, 4 Zeilen hinzugefügt(+), 1 Zeilen entfernt(-)

Änderung:        356:c40e2a169ecf
Zweig:           trunks
Nutzer:          benibela
Datum:           Thu Sep 02 23:57:23 2010 +0200
Zusammenfassung: SIRDSlets: source for video creation (out commented per default)

 programs/games/SIRD/SIRDSAppletManager.java |  11 ++++++++++-
 1 Dateien verändert, 10 Zeilen hinzugefügt(+), 1 Zeilen entfernt(-)

Änderung:        328:df397a2bee3c
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Aug 15 20:29:32 2010 +0200
Zusammenfassung: SIRDS: show real game borders

 programs/games/SIRD/Floater.java               |  21 ++++++++++++++++++---
 programs/games/SIRD/SIRDSFlighter.java         |  11 +++++++++++
 programs/games/SIRD/output/flighter/level0.lev |   2 +-
 programs/games/SIRD/output/flighter/level2.lev |   2 +-
 programs/games/SIRD/output/flighter/level3.lev |   2 +-
 programs/games/SIRD/output/flighter/level7.lev |   2 +-
 programs/games/SIRD/output/flighter/level8.lev |   2 +-
 programs/games/SIRD/output/flighter/level9.lev |   2 +-
 8 Dateien verändert, 35 Zeilen hinzugefügt(+), 9 Zeilen entfernt(-)

Änderung:        327:d1c24a6c7ff7
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Aug 15 18:12:38 2010 +0200
Zusammenfassung: time travel also affects scene

 programs/games/SIRD/SIRDSFlighter.java |  5 +++++
 1 Dateien verändert, 5 Zeilen hinzugefügt(+), 0 Zeilen entfernt(-)

Änderung:        326:f196a00cfc39
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Aug 15 17:55:40 2010 +0200
Zusammenfassung: SIRDS: time travel

 programs/games/SIRD/SIRDSFlighter.java        |  247 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------
 programs/games/SIRD/SIRDSFlighterEditor.java  |   10 ++--
 programs/games/SIRD/Vector3d.java             |    6 ++-
 programs/games/SIRD/ZDraw.java                |    2 +
 programs/games/SIRD/output/flighter/clock.png |    0 
 5 Dateien verändert, 180 Zeilen hinzugefügt(+), 85 Zeilen entfernt(-)

Änderung:        325:6ddfd38e65f9
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Aug 15 14:18:02 2010 +0200
Zusammenfassung: SIRD game: healing depends on difficulty, bug fixes with it

 programs/games/SIRD/SIRDSAppletManager.java  |   1 +
 programs/games/SIRD/SIRDSFlighter.java       |  64 +++++++++++++++++++++++++++++++++++++++++++++++++---------------
 programs/games/SIRD/SIRDSFlighterEditor.java |   4 ++--
 3 Dateien verändert, 52 Zeilen hinzugefügt(+), 17 Zeilen entfernt(-)

Änderung:        324:fe46b038983a
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Aug 15 03:08:39 2010 +0200
Zusammenfassung: SIRDS game: start of difficulty levels, healing

 programs/games/SIRD/AbSIRDlet.java          |    8 ++++++-
 programs/games/SIRD/SIRDSAppletManager.java |   58 +++++++++++++++++++++++++++++++++++++++++++++++--
 programs/games/SIRD/SIRDSFlighter.java      |  151 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------
 programs/games/SIRD/SIRDSlet.java           |    5 +++-
 programs/games/SIRD/Translations.java       |   16 +++++++++++++
 programs/games/SIRD/Translations_DE.java    |   16 +++++++++++++
 6 Dateien verändert, 213 Zeilen hinzugefügt(+), 41 Zeilen entfernt(-)

Änderung:        319:1809e4b03ee0
Zweig:           trunks
Nutzer:          benibela
Datum:           Wed Aug 11 18:44:03 2010 +0200
Zusammenfassung: SIRDS game: trainings level

 programs/games/SIRD/SIRDSFlighter.java         |  17 +++++++++++++----
 programs/games/SIRD/Translations.java          |   2 +-
 programs/games/SIRD/Translations_DE.java       |   2 +-
 programs/games/SIRD/output/flighter/level0.lev |   2 +-
 4 Dateien verändert, 16 Zeilen hinzugefügt(+), 7 Zeilen entfernt(-)

Änderung:        318:9141c708d642
Zweig:           trunks
Nutzer:          benibela
Datum:           Mon Aug 09 23:53:32 2010 +0200
Zusammenfassung: sirdslets: anaglyph, more

 programs/games/SIRD/RendererSoftware.java      |  19 ++++++++++---------
 programs/games/SIRD/SIRDSAppletManager.java    |   2 +-
 programs/games/SIRD/SIRDSFlighter.java         |   2 +-
 programs/games/SIRD/SIRDSRenderer.java         |   4 ++--
 programs/games/SIRD/Translations.java          |   2 +-
 programs/games/SIRD/Translations_DE.java       |   2 +-
 programs/games/SIRD/ZDraw.java                 |  47 ++++++++++++++++++++++++++++++++++++++++++++++-
 programs/games/SIRD/output/flighter/level3.lev |   2 +-
 programs/games/SIRD/output/flighter/level7.lev |   2 +-
 programs/games/SIRD/output/flighter/level9.lev |   2 +-
 10 Dateien verändert, 65 Zeilen hinzugefügt(+), 19 Zeilen entfernt(-)

Änderung:        317:01ec4a7ed031
Zweig:           trunks
Nutzer:          benibela
Datum:           Mon Aug 09 18:54:50 2010 +0200
Zusammenfassung: sirds game: robin's level

 programs/games/SIRD/output/flighter/level9.lev |  1 +
 1 Dateien verändert, 1 Zeilen hinzugefügt(+), 0 Zeilen entfernt(-)

Änderung:        314:32687b74b095
Zweig:           trunks
Nutzer:          benibela
Datum:           Sat Aug 07 16:04:16 2010 +0200
Zusammenfassung: SIRD game: new level

 programs/games/SIRD/SIRDSFlighter.java         |    4 ++--
 programs/games/SIRD/output/flighter/accd.png   |    0 
 programs/games/SIRD/output/flighter/accl.png   |    0 
 programs/games/SIRD/output/flighter/accr.png   |    0 
 programs/games/SIRD/output/flighter/accu.png   |    0 
 programs/games/SIRD/output/flighter/level7.lev |    2 +-
 programs/games/SIRD/output/flighter/level8.lev |    1 +
 7 Dateien verändert, 4 Zeilen hinzugefügt(+), 3 Zeilen entfernt(-)

Änderung:        313:077e325952dc
Zweig:           trunks
Nutzer:          benibela
Datum:           Sat Aug 07 02:22:47 2010 +0200
Zusammenfassung: SIRD game: accelerators, next level

 programs/games/SIRD/Cuboid.java                |    6 ++++++
 programs/games/SIRD/RendererSoftware.java      |    6 +-----
 programs/games/SIRD/SIRDSFlighter.java         |   24 ++++++++++++++++++++++--
 programs/games/SIRD/SIRDSFlighterEditor.java   |   29 ++++++++++++++++++++++++++++-
 programs/games/SIRD/ScenePrimitive.java        |    3 +++
 programs/games/SIRD/Translations.java          |    4 ++--
 programs/games/SIRD/Translations_DE.java       |    1 -
 programs/games/SIRD/Vector3d.java              |    3 +++
 programs/games/SIRD/Vector3i.java              |   17 ++++++++++++++++-
 programs/games/SIRD/ZSprite.java               |    7 ++++++-
 programs/games/SIRD/output/flighter/accd.png   |    0 
 programs/games/SIRD/output/flighter/accf.png   |    0 
 programs/games/SIRD/output/flighter/accl.png   |    0 
 programs/games/SIRD/output/flighter/accn.png   |    0 
 programs/games/SIRD/output/flighter/accr.png   |    0 
 programs/games/SIRD/output/flighter/accu.png   |    0 
 programs/games/SIRD/output/flighter/level1.lev |    2 +-
 programs/games/SIRD/output/flighter/level6.lev |    2 +-
 programs/games/SIRD/output/flighter/level7.lev |    1 +
 19 Dateien verändert, 90 Zeilen hinzugefügt(+), 15 Zeilen entfernt(-)

Änderung:        312:b790de22ac48
Zweig:           trunks
Nutzer:          benibela
Datum:           Thu Aug 05 00:40:39 2010 +0200
Zusammenfassung: SIRDS games: translations + animated menu

 programs/games/SIRD/AbSIRDlet.java           |   10 +--
 programs/games/SIRD/SIRDSAppletManager.java  |  351 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------
 programs/games/SIRD/SIRDSApplets.java        |    3 +
 programs/games/SIRD/SIRDSFlighter.java       |   14 +----
 programs/games/SIRD/SIRDSFlighterEditor.java |   17 ++----
 programs/games/SIRD/Translations.java        |   88 ++++++++++++++++++++++++++++++++
 programs/games/SIRD/Translations_DE.java     |   89 ++++++++++++++++++++++++++++++++
 7 Dateien verändert, 451 Zeilen hinzugefügt(+), 121 Zeilen entfernt(-)

Änderung:        311:92c15ac541e3
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Aug 01 00:40:21 2010 +0200
Zusammenfassung: SIRDS: animated menus

 programs/games/SIRD/AbSIRDlet.java             |   11 +++--
 programs/games/SIRD/RendererSoftware.java      |    3 +
 programs/games/SIRD/SIRDSAppletManager.java    |  214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------
 programs/games/SIRD/SIRDSFlighter.java         |   12 ++++++-
 programs/games/SIRD/SIRDSFlighterEditor.java   |   22 +++++++-----
 programs/games/SIRD/SIRDSRenderer.java         |    3 +
 programs/games/SIRD/SIRDSlet.java              |    1 +
 programs/games/SIRD/output/flighter/level5.lev |    2 +-
 programs/games/SIRD/output/logo.png            |    0 
 programs/games/SIRD/output/sirdslet_page.html  |   20 ++---------
 10 Dateien verändert, 178 Zeilen hinzugefügt(+), 110 Zeilen entfernt(-)

Änderung:        309:13fef83b4e23
Zweig:           trunks
Nutzer:          benibela
Datum:           Fri May 28 01:12:01 2010 +0200
Zusammenfassung: SIRDS game: sound + description

 programs/games/SIRD/AbSIRDlet.java                                |    9 +++++++-
 programs/games/SIRD/SIRDSAppletManager.java                       |  117 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 programs/games/SIRD/SIRDSFlighter.java                            |   36 +++++++++++++++++++++++++++++++-
 programs/games/SIRD/SIRDSFlighterEditor.java                      |   15 ++++++++++++-
 programs/games/SIRD/SIRDSlet.java                                 |    3 +-
 programs/games/SIRD/SceneManager.java                             |    3 +-
 programs/games/SIRD/output/flighter/collision0_pacdv.wav          |    0 
 programs/games/SIRD/output/flighter/collision1_pacdv.wav          |    0 
 programs/games/SIRD/output/flighter/lasersword_iespana.wav        |    0 
 programs/games/SIRD/output/flighter/smallexplosion0.wav           |    0 
 programs/games/SIRD/output/flighter/smallexplosion1.wav           |    0 
 programs/games/SIRD/output/flighter/vehicleexplosion_diode111.wav |    0 
 12 Dateien verändert, 162 Zeilen hinzugefügt(+), 21 Zeilen entfernt(-)

Änderung:        308:f5eaf4f026ac
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun May 09 13:44:53 2010 +0200
Zusammenfassung: SIRDS games: new level, cuboid scaler

 programs/games/SIRD/PrimitiveScaler.java       |  119 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSFlighter.java         |   11 +++++++----
 programs/games/SIRD/SceneManager.java          |    1 +
 programs/games/SIRD/Vector3d.java              |    2 +-
 programs/games/SIRD/output/flighter/level3.lev |    2 +-
 programs/games/SIRD/output/flighter/level4.lev |    2 +-
 programs/games/SIRD/output/flighter/level5.lev |    2 +-
 programs/games/SIRD/output/flighter/level6.lev |    2 +-
 8 Dateien verändert, 132 Zeilen hinzugefügt(+), 9 Zeilen entfernt(-)

Änderung:        306:3606da96c76f
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Apr 18 01:25:12 2010 +0200
Zusammenfassung: SIRD game: levels, editor: dragging start distance, mover not reseted when changed

 programs/games/SIRD/SIRDSFlighter.java         |   6 ++++--
 programs/games/SIRD/SIRDSFlighterEditor.java   |  21 +++++++++++++++------
 programs/games/SIRD/output/flighter/level4.lev |   2 +-
 programs/games/SIRD/output/flighter/level5.lev |   2 +-
 4 Dateien verändert, 21 Zeilen hinzugefügt(+), 10 Zeilen entfernt(-)

Änderung:        305:1769666852dd
Zweig:           trunks
Nutzer:          benibela
Datum:           Fri Apr 16 21:43:08 2010 +0200
Zusammenfassung: SIRD game: modified acceleration, air   editor: basic elements, testing; ZSprite: center real center instead of image left/top

 programs/games/SIRD/SIRDSFlighter.java         |  111 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------
 programs/games/SIRD/SIRDSFlighterEditor.java   |   81 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------
 programs/games/SIRD/SceneManager.java          |    2 +-
 programs/games/SIRD/ZSprite.java               |   13 +++++++------
 programs/games/SIRD/output/flighter/level1.lev |    2 +-
 programs/games/SIRD/output/flighter/level3.lev |    2 +-
 programs/games/SIRD/output/flighter/level4.lev |    1 +
 programs/games/SIRD/output/flighter/level5.lev |    1 +
 programs/games/SIRD/output/flighter/level6.lev |    1 +
 9 Dateien verändert, 147 Zeilen hinzugefügt(+), 67 Zeilen entfernt(-)

Änderung:        304:b7b19fdf3aad
Zweig:           trunks
Nutzer:          benibela
Datum:           Mon Apr 12 18:45:14 2010 +0200
Zusammenfassung: SIRD game: next level and continue after death

 programs/games/SIRD/SIRDSFlighter.java         |  7 ++++++-
 programs/games/SIRD/output/flighter/level3.lev |  2 +-
 2 Dateien verändert, 7 Zeilen hinzugefügt(+), 2 Zeilen entfernt(-)

Änderung:        302:966cedb9c045
Zweig:           trunks
Nutzer:          benibela
Datum:           Sat Apr 10 19:48:32 2010 +0200
Zusammenfassung: SIRD game: black/white holes, movement editing

 programs/games/SIRD/Cuboid.java                   |    5 +-
 programs/games/SIRD/PrimitiveMarker.java          |   42 +++++++++++++
 programs/games/SIRD/PrimitiveMover.java           |    5 +-
 programs/games/SIRD/SIRDSFlighter.java            |   37 ++++++++---
 programs/games/SIRD/SIRDSFlighterEditor.java      |  380 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------
 programs/games/SIRD/SceneManager.java             |   13 ++++
 programs/games/SIRD/ScenePrimitive.java           |    1 +
 programs/games/SIRD/Vector3d.java                 |   12 +++
 programs/games/SIRD/ZSprite.java                  |    6 +
 programs/games/SIRD/output/flighter/blackhole.png |    0 
 programs/games/SIRD/output/flighter/level2.lev    |    2 +-
 programs/games/SIRD/output/flighter/level3.lev    |    1 +
 programs/games/SIRD/output/flighter/whitehole.png |    0 
 13 Dateien verändert, 366 Zeilen hinzugefügt(+), 138 Zeilen entfernt(-)

Änderung:        301:7455df745d1e
Zweig:           trunks
Nutzer:          benibela
Datum:           Wed Apr 07 12:27:37 2010 +0200
Zusammenfassung: SIRD game: some bug fixes (cloning, editor)

 programs/games/SIRD/PrimitiveAnimator.java     |  15 +++++++++++++++
 programs/games/SIRD/PrimitiveModifier.java     |   2 ++
 programs/games/SIRD/PrimitiveMover.java        |  11 +++++++++++
 programs/games/SIRD/SIRDSAppletManager.java    |   3 +++
 programs/games/SIRD/SIRDSApplets.java          |   4 ++--
 programs/games/SIRD/SIRDSFlighterEditor.java   |  74 ++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------
 programs/games/SIRD/ZSprite.java               |   3 +++
 programs/games/SIRD/output/flighter/level2.lev |  79 +------------------------------------------------------------------------------
 8 Dateien verändert, 89 Zeilen hinzugefügt(+), 102 Zeilen entfernt(-)

Änderung:        300:1f2a2b4e5272
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Apr 04 18:25:24 2010 +0200
Zusammenfassung: SIRD game: animated sprites, level 2 start, sprite/sprite intersection

 programs/games/SIRD/Cuboid.java                |  13 +++++++++++++
 programs/games/SIRD/PrimitiveAnimator.java     |  56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSFlighter.java         |   5 ++++-
 programs/games/SIRD/SIRDSFlighterEditor.java   |  80 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 programs/games/SIRD/ScenePrimitive.java        |   1 +
 programs/games/SIRD/ZSprite.java               |  38 ++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/output/flighter/level2.lev |  78 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 7 Dateien verändert, 264 Zeilen hinzugefügt(+), 7 Zeilen entfernt(-)

Änderung:        299:9ac184b6a03b
Zweig:           trunks
Nutzer:          benibela
Datum:           Sat Mar 27 02:05:13 2010 +0100
Zusammenfassung: SIRD game: level saving keeps modifier and sprites

 programs/games/SIRD/SIRDSFlighter.java         |  6 +++---
 programs/games/SIRD/SIRDSFlighterEditor.java   |  8 +++++++-
 programs/games/SIRD/ZSprite.java               |  6 +++++-
 programs/games/SIRD/output/flighter/level1.lev |  7 +------
 4 Dateien verändert, 16 Zeilen hinzugefügt(+), 11 Zeilen entfernt(-)

Änderung:        298:79f8bceb08dc
Zweig:           trunks
Nutzer:          benibela
Datum:           Sat Mar 27 01:39:04 2010 +0100
Zusammenfassung: sird game: things to kill, RoIs in image class

 programs/games/SIRD/AbSIRDlet.java               |    2 +-
 programs/games/SIRD/Cuboid.java                  |    5 ++++-
 programs/games/SIRD/IntArrayImage.java           |    7 +++++++
 programs/games/SIRD/JSONSerializable.java        |    3 ---
 programs/games/SIRD/SIRDSFlighter.java           |   85 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------
 programs/games/SIRD/SIRDSFlighterEditor.java     |   80 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------
 programs/games/SIRD/SceneManager.java            |    3 +++
 programs/games/SIRD/ScenePrimitive.java          |    2 +-
 programs/games/SIRD/ZDraw.java                   |    2 +-
 programs/games/SIRD/ZSprite.java                 |   50 +++++++++++++++++++++++++++++++++++++++++++-------
 programs/games/SIRD/output/flighter/level1.lev   |    7 ++++++-
 programs/games/SIRD/output/flighter/mine.png     |    0 
 programs/games/SIRD/output/flighter/mine_old.png |    0 
 programs/games/SIRD/output/flighter/mine_rot.png |    0 
 programs/games/SIRD/output/mouse.png             |    0 
 15 Dateien verändert, 179 Zeilen hinzugefügt(+), 67 Zeilen entfernt(-)

Änderung:        297:858178e30324
Zweig:           trunks
Nutzer:          benibela
Datum:           Mon Mar 22 23:54:13 2010 +0100
Zusammenfassung: SIRD game: you're dead message

 programs/games/SIRD/IntArrayImage.java         |  13 ++++++++++---
 programs/games/SIRD/SIRDSFlighter.java         |  31 ++++++++++++++++++++++++++++---
 programs/games/SIRD/SceneManager.java          |   3 +++
 programs/games/SIRD/output/flighter/level1.lev |   2 +-
 4 Dateien verändert, 42 Zeilen hinzugefügt(+), 7 Zeilen entfernt(-)

Änderung:        296:2661ac28f00e
Zweig:           trunks
Nutzer:          benibela
Datum:           Sun Mar 21 22:17:21 2010 +0100
Zusammenfassung: SIRD game: moving blocks, improved vector arithmetic, shoot destroyed by walls

 programs/games/SIRD/Cuboid.java                |  34 ++++++++++++++++++++++++++++++++--
 programs/games/SIRD/JSONSerializable.java      |   4 ++--
 programs/games/SIRD/JSONWriter.java            |   1 +
 programs/games/SIRD/PrimitiveModifier.java     |   3 +++
 programs/games/SIRD/PrimitiveMover.java        |  78 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSAppletManager.java    |  14 +++++++++++---
 programs/games/SIRD/SIRDSFlighter.java         |  34 ++++++++++++++++++++++++++++------
 programs/games/SIRD/SIRDSFlighterEditor.java   |  47 +++++++++++++++++++++++++++++++++++------------
 programs/games/SIRD/SceneManager.java          |  11 +++++++++++
 programs/games/SIRD/ScenePrimitive.java        |   6 ++++++
 programs/games/SIRD/Vector3d.java              |  56 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 programs/games/SIRD/Vector3i.java              |  80 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/ZSprite.java               |  22 ++++++++++++++++++++++
 programs/games/SIRD/output/flighter/level1.lev |   2 +-
 14 Dateien verändert, 365 Zeilen hinzugefügt(+), 27 Zeilen entfernt(-)

Änderung:        295:8d564ccdc75b
Zweig:           trunks
Nutzer:          benibela
Datum:           Sat Mar 20 15:40:45 2010 +0100
Zusammenfassung: SIRD game: changed input event handling (not directly passed to sirdlets to prevent threading problems, still not thread-safe, but it will only lose events), changed level format to json

 programs/games/SIRD/AbSIRDlet.java             |  130 +++++++++++++++++++++++--------------------------------------------------
 programs/games/SIRD/Cuboid.java                |   33 +++++++++++++++++-
 programs/games/SIRD/JSONReader.java            |  223 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/JSONSerializable.java      |    7 +++
 programs/games/SIRD/JSONWriter.java            |  203 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/RendererSoftware.java      |    2 +-
 programs/games/SIRD/SIRDSAppletManager.java    |  223 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------
 programs/games/SIRD/SIRDSFlighter.java         |  207 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------
 programs/games/SIRD/SIRDSFlighterEditor.java   |  169 ++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------
 programs/games/SIRD/SIRDSlet.java              |    2 +-
 programs/games/SIRD/SceneManager.java          |   15 +++++++-
 programs/games/SIRD/ZSprite.java               |   23 ++++++------
 programs/games/SIRD/output/flighter/level0.lev |    1 +
 programs/games/SIRD/output/flighter/level1.lev |    1 +
 14 Dateien verändert, 888 Zeilen hinzugefügt(+), 351 Zeilen entfernt(-)

Änderung:        294:c97b98e224ed
Zweig:           trunks
Nutzer:          benibela
Datum:           Wed Mar 10 00:13:48 2010 +0100
Zusammenfassung: SIRD game: no direct zbuffer access anymore, renders primitives in scene (should lead to hardware acceleration somewhen)

 programs/games/SIRD/AbSIRDlet.java           |   37 +++++++------
 programs/games/SIRD/Cuboid.java              |  148 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/RendererSoftware.java    |  116 ++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSAppletManager.java  |  333 +++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 programs/games/SIRD/SIRDSFlighter.java       |  241 +++++++++------------------------------------------------------------------------------------
 programs/games/SIRD/SIRDSFlighterEditor.java |   40 ++++++++------
 programs/games/SIRD/SIRDSRenderer.java       |   18 ++++++
 programs/games/SIRD/SIRDSlet.java            |    1 -
 programs/games/SIRD/SPonglet.java            |    4 +-
 programs/games/SIRD/SceneManager.java        |  229 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SceneObject.java         |    3 +
 programs/games/SIRD/ScenePrimitive.java      |    3 +
 programs/games/SIRD/Vector3d.java            |   54 ++++++++++++++++++++
 programs/games/SIRD/ZSprite.java             |    2 +-
 programs/games/SIRD/run.sh                   |    1 +
 15 Dateien verändert, 706 Zeilen hinzugefügt(+), 524 Zeilen entfernt(-)

Änderung:        269:53e0e8b24c69
Zweig:           trunks
Nutzer:          benibela
Datum:           Mon Jan 25 22:44:10 2010 +0100
Zusammenfassung: programs/games: software sird, fix mouse cursor (and possible crash)

 programs/games/SIRD/SIRDSAppletManager.java |   18 +++++++++++-------
 programs/games/SIRD/output/mouse.png        |    0 
 2 Dateien verändert, 11 Zeilen hinzugefügt(+), 7 Zeilen entfernt(-)

Änderung:        222:d46b33ee76b9
Zweig:           trunks
Nutzer:          benibela
Datum:           Wed Nov 18 23:40:34 2009 +0100
Zusammenfassung: SIRDS: extended image API (transformations, resizing, rotation, bluring, sird text...), flighter: level end text

 programs/games/SIRD/Floater.java             |   32 +++++++++++----------
 programs/games/SIRD/IntArrayImage.java       |  192 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 programs/games/SIRD/SIRDSAppletManager.java  |   24 +++++++++++----
 programs/games/SIRD/SIRDSFlighter.java       |   20 ++++++++++++-
 programs/games/SIRD/SIRDSFlighterEditor.java |   56 ++++++++++++++++++++++++++----------
 programs/games/SIRD/ZDraw.java               |   89 ++++++++++++++++++++++++++++++-----------------------------
 programs/games/SIRD/ZSprite.java             |   12 ++++++-
 programs/games/SIRD/output/mouse.png         |    0 
 8 Dateien verändert, 322 Zeilen hinzugefügt(+), 103 Zeilen entfernt(-)

Änderung:        213:9419ddb87ff4
Zweig:           trunks
Nutzer:          benibela
Datum:           Tue Oct 20 20:08:35 2009 +0200
Zusammenfassung: SIRDS: Flighter level managment

 programs/games/SIRD/AbSIRDlet.java           |   38 +++++++++------------------
 programs/games/SIRD/Floater.java             |   57 ++++++++++++++++++++++++++++-------------
 programs/games/SIRD/IntArrayImage.java       |   16 ++++++++++-
 programs/games/SIRD/SIRDSAppletManager.java  |  174 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------
 programs/games/SIRD/SIRDSApplets.java        |    8 +++++
 programs/games/SIRD/SIRDSFlighter.java       |  113 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------
 programs/games/SIRD/SIRDSFlighterEditor.java |  151 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/output/mouse.png         |    0 
 programs/games/SIRD/run.bat                  |    1 +
 9 Dateien verändert, 465 Zeilen hinzugefügt(+), 93 Zeilen entfernt(-)

Änderung:        212:d76e49e6b55c
Zweig:           trunks
Nutzer:          benibela
Datum:           Fri Oct 16 21:51:51 2009 +0200
Zusammenfassung: SIRDS: flighter game: added blocks/collisions

 programs/games/SIRD/IntArrayImage.java      |   12 ++++++--
 programs/games/SIRD/SIRDSAppletManager.java |   19 ++++++++++--
 programs/games/SIRD/SIRDSFlighter.java      |  189 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 programs/games/SIRD/ZDraw.java              |   15 ++++++----
 4 Dateien verändert, 212 Zeilen hinzugefügt(+), 23 Zeilen entfernt(-)

Änderung:        211:965e41faa209
Zweig:           trunks
Nutzer:          benibela
Datum:           Tue Oct 13 22:15:28 2009 +0200
Zusammenfassung: SIRDS: beginning flighter game

 programs/games/SIRD/AbSIRDlet.java           |  101 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 programs/games/SIRD/Floater.java             |   50 ++++++++++++++++++++++++--------
 programs/games/SIRD/IntArrayImage.java       |   93 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSAppletManager.java  |  197 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 programs/games/SIRD/SIRDSApplets.java        |   54 +++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSFlighter.java       |  193 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSlet.java            |   10 +++---
 programs/games/SIRD/ZDraw.java               |   83 ++++++++++++++++++++++-------------------------------
 programs/games/SIRD/ZSprite.java             |   72 +++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/output/flighter/ship.png |    0 
 10 Dateien verändert, 754 Zeilen hinzugefügt(+), 99 Zeilen entfernt(-)

Änderung:        210:d6cd718593ca
Zweig:           trunks
Nutzer:          benibela
Datum:           Thu Oct 08 01:37:51 2009 +0200
Zusammenfassung: programs/games: added floaters to SIRDS, some background images

 programs/games/SIRD/AbSIRDlet.java            |   20 ++++++++++++++------
 programs/games/SIRD/Floater.java              |   71 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSAppletManager.java   |   68 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 programs/games/SIRD/ZDraw.java                |   26 ++++----------------------
 programs/games/SIRD/output/gold.png           |    0 
 programs/games/SIRD/output/sirdslet_page.html |   32 ++++++++++++++++++++++++++++++++
 programs/games/SIRD/output/squares.png        |    0 
 programs/games/SIRD/output/tiger.png          |    0 
 8 Dateien verändert, 187 Zeilen hinzugefügt(+), 30 Zeilen entfernt(-)

Änderung:        208:61b7587afaea
Zweig:           trunks
Nutzer:          benibela
Datum:           Tue Oct 06 20:15:39 2009 +0200
Zusammenfassung: programs/games: SIRDS

 programs/games/SIRD/AbSIRDlet.java          |  130 +++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSAppletManager.java |  334 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/SIRDSApplets.java       |   21 +++++++
 programs/games/SIRD/SIRDSlet.java           |    8 ++
 programs/games/SIRD/SPonglet.java           |  388 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 programs/games/SIRD/ZDraw.java              |  374 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 6 Dateien verändert, 1255 Zeilen hinzugefügt(+), 0 Zeilen entfernt(-)

